#ifndef PICTURE_ENVIRONMENT_H
#define PICTURE_ENVIRONMENT_H
#include <Agents/Perception/Perception.hpp>

class PictureEnvironment
{				 // The class
public:			 // Access specifier
	int fWidth;	 // Attribute (int variable)
	int fHeight; // Attribute
	std::string fFilePath;
	sf::RenderWindow* fWindow;
	sf::Event fEvent;
	sf::CircleShape fShape;

	PictureEnvironment(std::string& iFilePath, sf::RenderWindow* iWindow);
	Perception getPerception(int iX, int iY);

	bool loop();

private:
	PictureEnvironment();
};

#endif // PICTURE_ENVIRONMENT_H
